# 6
Hi,
I have downloaded the libevent and started installing it (the joke here is even that libevent is also has to be installed using make utility)
I am sorry to disturb you like this, but i couldn't find a way.
I am pasting the output. Pls do favour.
bash-3.00# ./configure && make
checking for a BSD-compatible install... ./install-sh -c
checking whether build environment is sane... yes
checking for gawk... no
checking for mawk... no
checking for nawk... nawk
checking whether make sets $(MAKE)... yes
checking whether to enable maintainer-specific portions of Makefiles... no
checking for gcc... gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking for style of include used by make... GNU
checking dependency style of gcc... none
checking for a BSD-compatible install... ./install-sh -c
checking whether ln -s works... yes
checking how to run the C preprocessor... gcc -E
checking for grep that handles long lines and -e... /usr/sfw/bin/ggrep
checking for egrep... /usr/sfw/bin/ggrep -E
checking whether gcc needs -traditional... no
checking build system type... i386-pc-solaris2.10
checking host system type... i386-pc-solaris2.10
checking for a sed that does not truncate output... /usr/bin/sed
checking for ld used by gcc... /usr/ccs/bin/ld
checking if the linker (/usr/ccs/bin/ld) is GNU ld... no
checking for /usr/ccs/bin/ld option to reload object files... -r
checking for BSD-compatible nm... /usr/ccs/bin/nm -p
checking how to recognise dependent libraries... pass_all
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking dlfcn.h usability... yes
checking dlfcn.h presence... yes
checking for dlfcn.h... yes
checking for g++... g++
checking whether we are using the GNU C++ compiler... yes
checking whether g++ accepts -g... yes
checking dependency style of g++... none
checking how to run the C++ preprocessor... g++ -E
checking for g77... no
checking for f77... no
checking for xlf... no
checking for frt... no
checking for pgf77... no
checking for cf77... no
checking for fort77... no
checking for fl32... no
checking for af77... no
checking for f90... no
checking for xlf90... no
checking for pgf90... no
checking for pghpf... no
checking for epcf90... no
checking for gfortran... no
checking for g95... no
checking for f95... no
checking for fort... no
checking for xlf95... no
checking for ifort... no
checking for ifc... no
checking for efc... no
checking for pgf95... no
checking for lf95... no
checking for ftn... no
checking whether we are using the GNU Fortran 77 compiler... no
checking whether accepts -g... no
checking the maximum length of command line arguments... 262144
checking command to parse /usr/ccs/bin/nm -p output from gcc object... ok
checking for objdir... .libs
checking for ar... ar
checking for ranlib... ranlib
checking for strip... strip
checking if gcc supports -fno-rtti -fno-exceptions... no
checking for gcc option to produce PIC... -fPIC
checking if gcc PIC flag -fPIC works... yes
checking if gcc static flag -static works... no
checking if gcc supports -c -o file.o... yes
checking whether the gcc linker (/usr/ccs/bin/ld) supports shared libraries... y es
checking whether -lc should be explicitly linked in... yes
checking dynamic linker characteristics... solaris2.10 ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... no
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... yes
configure: creating libtool
appending configuration tag "CXX" to libtool
checking for ld used by g++... /usr/ccs/bin/ld
checking if the linker (/usr/ccs/bin/ld) is GNU ld... no
checking whether the g++ linker (/usr/ccs/bin/ld) supports shared libraries... y es
checking for g++ option to produce PIC... -fPIC
checking if g++ PIC flag -fPIC works... yes
checking if g++ static flag -static works... no
checking if g++ supports -c -o file.o... yes
checking whether the g++ linker (/usr/ccs/bin/ld) supports shared libraries... y es
checking dynamic linker characteristics... solaris2.10 ld.so
checking how to hardcode library paths into programs... immediate
appending configuration tag "F77" to libtool
checking for socket in -lsocket... yes
checking for ANSI C header files... (cached) yes
checking fcntl.h usability... yes
checking fcntl.h presence... yes
checking for fcntl.h... yes
checking stdarg.h usability... yes
checking stdarg.h presence... yes
checking for stdarg.h... yes
checking for inttypes.h... (cached) yes
checking for stdint.h... (cached) yes
checking poll.h usability... yes
checking poll.h presence... yes
checking for poll.h... yes
checking signal.h usability... yes
checking signal.h presence... yes
checking for signal.h... yes
checking for unistd.h... (cached) yes
checking sys/epoll.h usability... no
checking sys/epoll.h presence... no
checking for sys/epoll.h... no
checking sys/time.h usability... yes
checking sys/time.h presence... yes
checking for sys/time.h... yes
checking sys/queue.h usability... no
checking sys/queue.h presence... no
checking for sys/queue.h... no
checking sys/event.h usability... no
checking sys/event.h presence... no
checking for sys/event.h... no
checking sys/ioctl.h usability... yes
checking sys/ioctl.h presence... yes
checking for sys/ioctl.h... yes
checking sys/devpoll.h usability... yes
checking sys/devpoll.h presence... yes
checking for sys/devpoll.h... yes
checking port.h usability... yes
checking port.h presence... yes
checking for port.h... yes
checking netinet/in6.h usability... no
checking netinet/in6.h presence... no
checking for netinet/in6.h... no
checking for timeradd in sys/time.h... no
checking for timercmp in sys/time.h... yes
checking for timerclear in sys/time.h... yes
checking for timerisset in sys/time.h... yes
checking for WIN32... no
checking for an ANSI C-conforming const... yes
checking for inline... inline
checking whether time.h and sys/time.h may both be included... yes
checking for gettimeofday... yes
checking for vasprintf... no
checking for fcntl... yes
checking for clock_gettime... no
checking for strtok_r... yes
checking for strsep... no
checking for getaddrinfo... yes
checking for getnameinfo... yes
checking for strlcpy... yes
checking for inet_ntop... no
checking for F_SETFD in fcntl.h... yes
checking for select... yes
checking for poll... yes
checking for epoll_ctl... no
checking for port_create... yes
checking for pid_t... yes
checking for size_t... yes
checking for u_int64_t... no
checking for u_int32_t... no
checking for u_int16_t... no
checking for u_int8_t... no
checking for struct in6_addr... yes
checking for socklen_t... yes
checking whether our compiler supports __func__... yes
configure: creating ./config.status
config.status: creating Makefile
config.status: creating test/Makefile
config.status: creating sample/Makefile
config.status: creating config.h
config.status: config.h is unchanged
config.status: executing depfiles commands
make all-recursive
Making all in .
Making all in sample
gcc -DHAVE_CONFIG_H -I. -I. -I..-I../compat -c event-test.c
In file included from event-test.c:21:
../event.h:302: error: syntax error before "u_int8_t"
../event.h:305: error: syntax error before "u_int32_t"
../event.h:307: error: syntax error before "u_int8_t"
../event.h:310: error: syntax error before "u_int8_t"
../event.h:313: error: syntax error before "u_int8_t"
../event.h:318: error: syntax error before "u_int8_t"
../event.h:320: error: syntax error before "u_int8_t"
../event.h:321: error: syntax error before "u_int32_t"
../event.h:322: error: syntax error before "u_int32_t"
../event.h:325: error: syntax error before "u_int8_t"
../event.h:328: error: syntax error before "u_int8_t"
../event.h:331: error: syntax error before "u_int8_t"
../event.h:334: error: syntax error before "u_int8_t"
*** Error code 1
make: Fatal error: Command failed for target `event-test.o'
Current working directory /usr/parasou/Desktop/libevent-1.3b/sample
*** Error code 1
The following command caused the error:
failcom='exit 1'; \
for f in x $MAKEFLAGS; do \
case $f in \
*=* | --[!k]*);; \
*k*) failcom='fail=yes';; \
esac; \
done; \
dot_seen=no; \
target=`echo all-recursive | sed s/-recursive//`; \
list='. sample test'; for subdir in $list; do \
echo "Making $target in $subdir"; \
if test "$subdir" = "."; then \
dot_seen=yes; \
local_target="$target-am"; \
else \
local_target="$target"; \
fi; \
(cd $subdir && make $local_target) \
|| eval $failcom; \
done; \
if test "$dot_seen" = "no"; then \
make "$target-am" || exit 1; \
fi; test -z "$fail"
make: Fatal error: Command failed for target `all-recursive'
Current working directory /usr/parasou/Desktop/libevent-1.3b
*** Error code 1
make: Fatal error: Command failed for target `all'
bash-3.00# make install
Making install in .
test -z "/usr/local/bin" || /bin/bash ./mkinstalldirs "/usr/local/bin"
./install-sh -c 'event_rpcgen.py' '/usr/local/bin/event_rpcgen.py'
test -z "/usr/local/lib" || /bin/bash ./mkinstalldirs "/usr/local/lib"
mkdir /usr/local/lib
/bin/bash ./libtool --mode=install ./install-sh -c 'libevent.la' '/usr/local/l ib/libevent.la'
./install-sh -c .libs/libevent-1.3b.so.1.0.3 /usr/local/lib/libevent-1.3b.so.1.0 .3
(cd /usr/local/lib && { ln -s -f libevent-1.3b.so.1.0.3 libevent-1.3b.so.1 || { rm -f libevent-1.3b.so.1 && ln -s libevent-1.3b.so.1.0.3 libevent-1.3b.so.1; }; })
(cd /usr/local/lib && { ln -s -f libevent-1.3b.so.1.0.3 libevent.so || { rm -f l ibevent.so && ln -s libevent-1.3b.so.1.0.3 libevent.so; }; })
chmod +x /usr/local/lib/libevent-1.3b.so.1.0.3
./install-sh -c .libs/libevent.lai /usr/local/lib/libevent.la
./install-sh -c .libs/libevent.a /usr/local/lib/libevent.a
chmod 644 /usr/local/lib/libevent.a
ranlib /usr/local/lib/libevent.a
-
Libraries have been installed in:
/usr/local/lib
If you ever happen to want to link against installed libraries
in a given directory, LIBDIR, you must either use libtool, and
specify the full pathname of the library, or use the `-LLIBDIR'
flag during linking and do at least one of the following:
- add LIBDIR to the `LD_LIBRARY_PATH' environment variable
during execution
- use the `-RLIBDIR' linker flag
See any operating system documentation about shared libraries for
more information, such as the ld(1) and ld.so(8) manual pages.
-
test -z "/usr/local/include" || /bin/bash ./mkinstalldirs "/usr/local/include"
mkdir /usr/local/include
./install-sh -c -m 644 'event.h' '/usr/local/include/event.h'
./install-sh -c -m 644 'evhttp.h' '/usr/local/include/evhttp.h'
./install-sh -c -m 644 'evdns.h' '/usr/local/include/evdns.h'
test -z "/usr/local/share/man/man3" || /bin/bash ./mkinstalldirs "/usr/local/sha re/man/man3"
mkdir /usr/local/share/man/man3
./install-sh -c -m 644 './event.3' '/usr/local/share/man/man3/event.3'
./install-sh -c -m 644 './evdns.3' '/usr/local/share/man/man3/evdns.3'
Making install in sample
gcc -DHAVE_CONFIG_H -I. -I. -I..-I../compat -c event-test.c
In file included from event-test.c:21:
../event.h:302: error: syntax error before "u_int8_t"
../event.h:305: error: syntax error before "u_int32_t"
../event.h:307: error: syntax error before "u_int8_t"
../event.h:310: error: syntax error before "u_int8_t"
../event.h:313: error: syntax error before "u_int8_t"
../event.h:318: error: syntax error before "u_int8_t"
../event.h:320: error: syntax error before "u_int8_t"
../event.h:321: error: syntax error before "u_int32_t"
../event.h:322: error: syntax error before "u_int32_t"
../event.h:325: error: syntax error before "u_int8_t"
../event.h:328: error: syntax error before "u_int8_t"
../event.h:331: error: syntax error before "u_int8_t"
../event.h:334: error: syntax error before "u_int8_t"
*** Error code 1
make: Fatal error: Command failed for target `event-test.o'
Current working directory /usr/parasou/Desktop/libevent-1.3b/sample
*** Error code 1
The following command caused the error:
failcom='exit 1'; \
for f in x $MAKEFLAGS; do \
case $f in \
*=* | --[!k]*);; \
*k*) failcom='fail=yes';; \
esac; \
done; \
dot_seen=no; \
target=`echo install-recursive | sed s/-recursive//`; \
list='. sample test'; for subdir in $list; do \
echo "Making $target in $subdir"; \
if test "$subdir" = "."; then \
dot_seen=yes; \
local_target="$target-am"; \
else \
local_target="$target"; \
fi; \
(cd $subdir && make $local_target) \
|| eval $failcom; \
done; \
if test "$dot_seen" = "no"; then \
make "$target-am" || exit 1; \
fi; test -z "$fail"
make: Fatal error: Command failed for target `install-recursive'
bash-3.00#
Regards
Parasou.
# 11
With your instructions, i have updated the libevent's EVENT.H and compiled it.
The output is given below.
b-3.00# make
make all-recursive
Making all in .
Making all in sample
Making all in test
make all-am
b-3.00# make install
Making install in .
test -z "/usr/local/bin" || /bin/bash ./mkinstalldirs "/usr/local/bin"
./install-sh -c 'event_rpcgen.py' '/usr/local/bin/event_rpcgen.py'
test -z "/usr/local/lib" || /bin/bash ./mkinstalldirs "/usr/local/lib"
/bin/bash ./libtool --mode=install ./install-sh -c 'libevent.la' '/usr/local/lib/libevent.la'
./install-sh -c .libs/libevent-1.3b.so.1.0.3 /usr/local/lib/libevent-1.3b.so.1.0.3
(cd /usr/local/lib && { ln -s -f libevent-1.3b.so.1.0.3 libevent-1.3b.so.1 || { rm -f libevent-1.3b.so.1 && ln -s libevent-1.3b.so.1.0.3 libevent-1.3b.so.1; }; })
(cd /usr/local/lib && { ln -s -f libevent-1.3b.so.1.0.3 libevent.so || { rm -f libevent.so && ln -s libevent-1.3b.so.1.0.3 libevent.so; }; })
chmod +x /usr/local/lib/libevent-1.3b.so.1.0.3
./install-sh -c .libs/libevent.lai /usr/local/lib/libevent.la
./install-sh -c .libs/libevent.a /usr/local/lib/libevent.a
chmod 644 /usr/local/lib/libevent.a
ranlib /usr/local/lib/libevent.a
-
Libraries have been installed in:
/usr/local/lib
If you ever happen to want to link against installed libraries
in a given directory, LIBDIR, you must either use libtool, and
specify the full pathname of the library, or use the `-LLIBDIR'
flag during linking and do at least one of the following:
- add LIBDIR to the `LD_LIBRARY_PATH' environment variable
during execution
- use the `-RLIBDIR' linker flag
See any operating system documentation about shared libraries for
more information, such as the ld(1) and ld.so(8) manual pages.
-
test -z "/usr/local/include" || /bin/bash ./mkinstalldirs "/usr/local/include"
./install-sh -c -m 644 'event.h' '/usr/local/include/event.h'
./install-sh -c -m 644 'evhttp.h' '/usr/local/include/evhttp.h'
./install-sh -c -m 644 'evdns.h' '/usr/local/include/evdns.h'
test -z "/usr/local/share/man/man3" || /bin/bash ./mkinstalldirs "/usr/local/share/man/man3"
./install-sh -c -m 644 './event.3' '/usr/local/share/man/man3/event.3'
./install-sh -c -m 644 './evdns.3' '/usr/local/share/man/man3/evdns.3'
Making install in sample
Making install in test
make install-am
I gave MAKE VERIFY command. the output is as follows:
b-3.00# make verify
cd ./test && make verify
Running tests:
KQUEUE
-n test-eof:
OKAY
-n test-weof:
OKAY
-n test-time:
OKAY
-n regress:
[warn] evhttp_parse_request_line: bad method GET /test HTTP/1.1 on request 806a150 from 127.0.0.1
FAILED
DEVPOLL
-n test-eof:
OKAY
-n test-weof:
OKAY
-n test-time:
OKAY
-n regress:
[warn] evhttp_parse_request_line: bad method GET /test HTTP/1.1 on request 806a150 from 127.0.0.1
FAILED
POLL
-n test-eof:
OKAY
-n test-weof:
OKAY
-n test-time:
OKAY
-n regress:
[warn] evhttp_parse_request_line: bad method GET /test HTTP/1.1 on request 806a150 from 127.0.0.1
FAILED
SELECT
-n test-eof:
OKAY
-n test-weof:
OKAY
-n test-time:
OKAY
-n regress:
[warn] evhttp_parse_request_line: bad method GET /test HTTP/1.1 on request 806a150 from 127.0.0.1
FAILED
RTSIG
-n test-eof:
OKAY
-n test-weof:
OKAY
-n test-time:
OKAY
-n regress:
[warn] evhttp_parse_request_line: bad method GET /test HTTP/1.1 on request 806a150 from 127.0.0.1
FAILED
EPOLL
-n test-eof:
OKAY
-n test-weof:
OKAY
-n test-time:
OKAY
-n regress:
[warn] evhttp_parse_request_line: bad method GET /test HTTP/1.1 on request 806a150 from 127.0.0.1
FAILED
WHAT NEXT ?
Now I again tried to install directnet-2.0a9. This time also i am getting the same errors ( i think).
I am pasting the config.log data here
This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.
It was created by directnet configure 2.0a9, which was
generated by GNU Autoconf 2.61. Invocation command line was
$ ./configure
## ##
## Platform. ##
## ##
hostname = HDCHCTDAM45379
uname -m = i86pc
uname -r = 5.10
uname -s = SunOS
uname -v = Generic_118855-14
/usr/bin/uname -p = i386
/bin/uname -X= System = SunOS
Node = HDCHCTDAM45379
Release = 5.10
KernelID = Generic_118855-14
Machine = i86pc
BusType = <unknown>
Serial = <unknown>
Users = <unknown>
OEM# = 0
Origin# = 1
NumCPU = 2
/bin/arch = i86pc
/usr/bin/arch -k= i86pc
/usr/convex/getsysinfo = unknown
/usr/bin/hostinfo= unknown
/bin/machine= unknown
/usr/bin/oslevel= unknown
/bin/universe = unknown
PATH: /usr/sbin
PATH: /usr/bin
PATH: /usr/openwin/bin
PATH: /usr/ucb
PATH: /usr/ccs/bin
PATH: /usr/sfw/bin
## -- ##
## Core tests. ##
## -- ##
configure:2023: checking for a BSD-compatible install
configure:2079: result: scripts/install-sh -c
configure:2090: checking whether build environment is sane
configure:2133: result: yes
configure:2198: checking for gawk
configure:2228: result: no
configure:2198: checking for mawk
configure:2228: result: no
configure:2198: checking for nawk
configure:2214: found /usr/bin/nawk
configure:2225: result: nawk
configure:2236: checking whether make sets $(MAKE)
configure:2257: result: yes
configure:2504: checking for gcc
configure:2520: found /usr/sfw/bin/gcc
configure:2531: result: gcc
configure:2769: checking for C compiler version
configure:2776: gcc --version >&5
gcc (GCC) 3.4.3 (csl-sol210-3_4-branch+sol_rpath)
Copyright (C) 2004 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
configure:2779: $? = 0
configure:2786: gcc -v >&5
Reading specs from /usr/sfw/lib/gcc/i386-pc-solaris2.10/3.4.3/specs
Configured with: /builds/sfw10-gate/usr/src/cmd/gcc/gcc-3.4.3/configure --prefix=/usr/sfw --with-as=/usr/sfw/bin/gas --with-gnu-as --with-ld=/usr/ccs/bin/ld --without-gnu-ld --enable-languages=c,c++ --enable-shared
Thread model: posix
gcc version 3.4.3 (csl-sol210-3_4-branch+sol_rpath)
configure:2789: $? = 0
configure:2796: gcc -V >&5
gcc: `-V' option must have argument
configure:2799: $? = 1
configure:2822: checking for C compiler default output file name
configure:2849: gccconftest.c >&5
configure:2852: $? = 0
configure:2890: result: a.out
configure:2907: checking whether the C compiler works
configure:2917: ./a.out
configure:2920: $? = 0
configure:2937: result: yes
configure:2944: checking whether we are cross compiling
configure:2946: result: no
configure:2949: checking for suffix of executables
configure:2956: gcc -o conftestconftest.c >&5
configure:2959: $? = 0
configure:2983: result:
configure:2989: checking for suffix of object files
configure:3015: gcc -cconftest.c >&5
configure:3018: $? = 0
configure:3041: result: o
configure:3045: checking whether we are using the GNU C compiler
configure:3074: gcc -cconftest.c >&5
configure:3080: $? = 0
configure:3097: result: yes
configure:3102: checking whether gcc accepts -g
configure:3132: gcc -c -g conftest.c >&5
configure:3138: $? = 0
configure:3237: result: yes
configure:3254: checking for gcc option to accept ISO C89
configure:3328: gcc -c -g -O2 conftest.c >&5
configure:3334: $? = 0
configure:3357: result: none needed
configure:3386: checking for style of include used by make
configure:3414: result: GNU
configure:3442: checking dependency style of gcc
configure:3532: result: gcc3
configure:3554: checking how to run the C preprocessor
configure:3594: gcc -E conftest.c
configure:3600: $? = 0
configure:3631: gcc -E conftest.c
conftest.c:10:28: ac_nonexistent.h: No such file or directory
configure:3637: $? = 1
configure: failed program was:
| /* confdefs.h. */
| #define PACKAGE_NAME "directnet"
| #define PACKAGE_TARNAME "directnet"
| #define PACKAGE_VERSION "2.0a9"
| #define PACKAGE_STRING "directnet 2.0a9"
| #define PACKAGE_BUGREPORT "cdgregorr@users.sourceforge.net"
| #define PACKAGE "directnet"
| #define VERSION "2.0a9"
| /* end confdefs.h. */
| #include <ac_nonexistent.h>
configure:3670: result: gcc -E
configure:3699: gcc -E conftest.c
configure:3705: $? = 0
configure:3736: gcc -E conftest.c
conftest.c:10:28: ac_nonexistent.h: No such file or directory
configure:3742: $? = 1
configure: failed program was:
| /* confdefs.h. */
| #define PACKAGE_NAME "directnet"
| #define PACKAGE_TARNAME "directnet"
| #define PACKAGE_VERSION "2.0a9"
| #define PACKAGE_STRING "directnet 2.0a9"
| #define PACKAGE_BUGREPORT "cdgregorr@users.sourceforge.net"
| #define PACKAGE "directnet"
| #define VERSION "2.0a9"
| /* end confdefs.h. */
| #include <ac_nonexistent.h>
configure:3837: checking for g++
configure:3853: found /usr/sfw/bin/g++
configure:3864: result: g++
configure:3895: checking for C++ compiler version
configure:3902: g++ --version >&5
g++ (GCC) 3.4.3 (csl-sol210-3_4-branch+sol_rpath)
Copyright (C) 2004 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
configure:3905: $? = 0
configure:3912: g++ -v >&5
Reading specs from /usr/sfw/lib/gcc/i386-pc-solaris2.10/3.4.3/specs
Configured with: /builds/sfw10-gate/usr/src/cmd/gcc/gcc-3.4.3/configure --prefix=/usr/sfw --with-as=/usr/sfw/bin/gas --with-gnu-as --with-ld=/usr/ccs/bin/ld --without-gnu-ld --enable-languages=c,c++ --enable-shared
Thread model: posix
gcc version 3.4.3 (csl-sol210-3_4-branch+sol_rpath)
configure:3915: $? = 0
configure:3922: g++ -V >&5
g++: `-V' option must have argument
configure:3925: $? = 1
configure:3928: checking whether we are using the GNU C++ compiler
configure:3957: g++ -cconftest.cpp >&5
configure:3963: $? = 0
configure:3980: result: yes
configure:3985: checking whether g++ accepts -g
configure:4015: g++ -c -g conftest.cpp >&5
configure:4021: $? = 0
configure:4120: result: yes
configure:4145: checking dependency style of g++
configure:4235: result: gcc3
configure:4330: checking build system type
configure:4348: result: i386-pc-solaris2.10
configure:4370: checking host system type
configure:4385: result: i386-pc-solaris2.10
configure:4407: checking for a sed that does not truncate output
configure:4461: result: /usr/bin/sed
configure:4464: checking for grep that handles long lines and -e
configure:4538: result: /usr/sfw/bin/ggrep
configure:4543: checking for egrep
configure:4621: result: /usr/sfw/bin/ggrep -E
configure:4637: checking for ld used by gcc
configure:4704: result: /usr/ccs/bin/ld
configure:4713: checking if the linker (/usr/ccs/bin/ld) is GNU ld
configure:4728: result: no
configure:4733: checking for /usr/ccs/bin/ld option to reload object files
configure:4740: result: -r
configure:4758: checking for BSD-compatible nm
configure:4807: result: /usr/ccs/bin/nm -p
configure:4811: checking whether ln -s works
configure:4815: result: yes
configure:4822: checking how to recognise dependent libraries
configure:4998: result: pass_all
configure:5228: checking for ANSI C header files
configure:5258: gcc -c -g -O2 conftest.c >&5
configure:5264: $? = 0
configure:5363: gcc -o conftest -g -O2conftest.c >&5
configure:5366: $? = 0
configure:5372: ./conftest
configure:5375: $? = 0
configure:5392: result: yes
configure:5416: checking for sys/types.h
configure:5437: gcc -c -g -O2 conftest.c >&5
configure:5443: $? = 0
configure:5459: result: yes
configure:5416: checking for sys/stat.h
configure:5437: gcc -c -g -O2 conftest.c >&5
configure:5443: $? = 0
configure:5459: result: yes
configure:5416: checking for stdlib.h
configure:5437: gcc -c -g -O2 conftest.c >&5
configure:5443: $? = 0
configure:5459: result: yes
configure:5416: checking for string.h
configure:5437: gcc -c -g -O2 conftest.c >&5
configure:5443: $? = 0
configure:5459: result: yes
configure:5416: checking for memory.h
configure:5437: gcc -c -g -O2 conftest.c >&5
configure:5443: $? = 0
configure:5459: result: yes
configure:5416: checking for strings.h
configure:5437: gcc -c -g -O2 conftest.c >&5
configure:5443: $? = 0
configure:5459: result: yes
configure:5416: checking for inttypes.h
configure:5437: gcc -c -g -O2 conftest.c >&5
configure:5443: $? = 0
configure:5459: result: yes
configure:5416: checking for stdint.h
configure:5437: gcc -c -g -O2 conftest.c >&5
configure:5443: $? = 0
configure:5459: result: yes
configure:5416: checking for unistd.h
configure:5437: gcc -c -g -O2 conftest.c >&5
configure:5443: $? = 0
configure:5459: result: yes
configure:5486: checking dlfcn.h usability
configure:5503: gcc -c -g -O2 conftest.c >&5
configure:5509: $? = 0
configure:5523: result: yes
configure:5527: checking dlfcn.h presence
configure:5542: gcc -E conftest.c
configure:5548: $? = 0
configure:5562: result: yes
configure:5595: checking for dlfcn.h
configure:5603: result: yes
configure:5626: checking how to run the C++ preprocessor
configure:5662: g++ -E conftest.cpp
configure:5668: $? = 0
configure:5699: g++ -E conftest.cpp
conftest.cpp:21:28: ac_nonexistent.h: No such file or directory
configure:5705: $? = 1
configure: failed program was:
| /* confdefs.h. */
| #define PACKAGE_NAME "directnet"
| #define PACKAGE_TARNAME "directnet"
| #define PACKAGE_VERSION "2.0a9"
| #define PACKAGE_STRING "directnet 2.0a9"
| #define PACKAGE_BUGREPORT "cdgregorr@users.sourceforge.net"
| #define PACKAGE "directnet"
| #define VERSION "2.0a9"
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_DLFCN_H 1
| /* end confdefs.h. */
| #include <ac_nonexistent.h>
configure:5738: result: g++ -E
configure:5767: g++ -E conftest.cpp
configure:5773: $? = 0
configure:5804: g++ -E conftest.cpp
conftest.cpp:21:28: ac_nonexistent.h: No such file or directory
configure:5810: $? = 1
configure: failed program was:
| /* confdefs.h. */
| #define PACKAGE_NAME "directnet"
| #define PACKAGE_TARNAME "directnet"
| #define PACKAGE_VERSION "2.0a9"
| #define PACKAGE_STRING "directnet 2.0a9"
| #define PACKAGE_BUGREPORT "cdgregorr@users.sourceforge.net"
| #define PACKAGE "directnet"
| #define VERSION "2.0a9"
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_DLFCN_H 1
| /* end confdefs.h. */
| #include <ac_nonexistent.h>
configure:5903: checking for g77
configure:5933: result: no
configure:5903: checking for xlf
configure:5933: result: no
configure:5903: checking for f77
configure:5933: result: no
configure:5903: checking for frt
configure:5933: result: no
configure:5903: checking for pgf77
configure:5933: result: no
configure:5903: checking for cf77
configure:5933: result: no
configure:5903: checking for fort77
configure:5933: result: no
configure:5903: checking for fl32
configure:5933: result: no
configure:5903: checking for af77
configure:5933: result: no
configure:5903: checking for xlf90
configure:5933: result: no
configure:5903: checking for f90
configure:5933: result: no
configure:5903: checking for pgf90
configure:5933: result: no
configure:5903: checking for pghpf
configure:5933: result: no
configure:5903: checking for epcf90
configure:5933: result: no
configure:5903: checking for gfortran
configure:5933: result: no
configure:5903: checking for g95
configure:5933: result: no
configure:5903: checking for xlf95
configure:5933: result: no
configure:5903: checking for f95
configure:5933: result: no
configure:5903: checking for fort
configure:5933: result: no
configure:5903: checking for ifort
configure:5933: result: no
configure:5903: checking for ifc
configure:5933: result: no
configure:5903: checking for efc
configure:5933: result: no
configure:5903: checking for pgf95
configure:5933: result: no
configure:5903: checking for lf95
configure:5933: result: no
configure:5903: checking for ftn
configure:5933: result: no
configure:5960: checking for Fortran 77 compiler version
configure:5967: --version >&5
./configure: line 5968: --version: command not found
configure:5970: $? = 127
configure:5977: -v >&5
./configure: line 5978: -v: command not found
configure:5980: $? = 127
configure:5987: -V >&5
./configure: line 5988: -V: command not found
configure:5990: $? = 127
configure:5998: checking whether we are using the GNU Fortran 77 compiler
configure:6017: -c conftest.F >&5
./configure: line 6018: -c: command not found
configure:6023: $? = 127
configure: failed program was:
|program main
| #ifndef __GNUC__
|choke me
| #endif
|
|end
configure:6040: result: no
configure:6046: checking whether accepts -g
configure:6063: -c -g conftest.f >&5
./configure: line 6064: -c: command not found
configure:6069: $? = 127
configure: failed program was:
|program main
|
|end
configure:6085: result: no
configure:6115: checking the maximum length of command line arguments
configure:6224: result: 262144
configure:6235: checking command to parse /usr/ccs/bin/nm -p output from gcc object
configure:6340: gcc -c -g -O2 conftest.c >&5
configure:6343: $? = 0
configure:6347: /usr/ccs/bin/nm -p conftest.o \| sed -n -e 's/^.*[ ]\([BDRT][BDRT]*\)[ ][ ]*\([_A-Za-z][_A-Za-z0-9]*\)$/\1 \2 \2/p' \> conftest.nm
configure:6350: $? = 0
configure:6402: gcc -o conftest -g -O2conftest.c conftstm.o >&5
configure:6405: $? = 0
configure:6443: result: ok
configure:6447: checking for objdir
configure:6462: result: .libs
configure:6554: checking for ar
configure:6570: found /usr/ccs/bin/ar
configure:6581: result: ar
configure:6650: checking for ranlib
configure:6666: found /usr/ccs/bin/ranlib
configure:6677: result: ranlib
configure:6746: checking for strip
configure:6762: found /usr/ccs/bin/strip
configure:6773: result: strip
configure:7059: checking if gcc supports -fno-rtti -fno-exceptions
configure:7077: gcc -c -g -O2 -fno-rtti -fno-exceptions conftest.c >&5
cc1: warning: command line option "-fno-rtti" is valid for C++/ObjC++ but not for C
configure:7081: $? = 0
configure:7094: result: no
configure:7109: checking for gcc option to produce PIC
configure:7319: result: -fPIC
configure:7327: checking if gcc PIC flag -fPIC works
configure:7345: gcc -c -g -O2 -fPIC -DPIC conftest.c >&5
configure:7349: $? = 0
configure:7362: result: yes
configure:7390: checking if gcc static flag -static works
configure:7418: result: no
configure:7428: checking if gcc supports -c -o file.o
configure:7449: gcc -c -g -O2 -o out/conftest2.o conftest.c >&5
configure:7453: $? = 0
configure:7475: result: yes
configure:7501: checking whether the gcc linker (/usr/ccs/bin/ld) supports shared libraries
configure:8455: result: yes
configure:8476: checking whether -lc should be explicitly linked in
configure:8481: gcc -c -g -O2 conftest.c >&5
configure:8484: $? = 0
configure:8499: gcc -shared -Wl,-h -Wl,conftest -o conftest conftest.o -v 2\>\&1 \| grep -lc \>/dev/null 2\>\&1
configure:8502: $? = 1
configure:8514: result: yes
configure:8522: checking dynamic linker characteristics
configure:9110: result: solaris2.10 ld.so
configure:9119: checking how to hardcode library paths into programs
configure:9144: result: immediate
configure:9158: checking whether stripping libraries is possible
configure:9179: result: no
configure:9964: checking if libtool supports shared libraries
configure:9966: result: yes
configure:9969: checking whether to build shared libraries
configure:9990: result: yes
configure:9993: checking whether to build static libraries
configure:9997: result: yes
configure:10089: creating libtool
configure:10677: checking for ld used by g++
configure:10744: result: /usr/ccs/bin/ld
configure:10753: checking if the linker (/usr/ccs/bin/ld) is GNU ld
configure:10768: result: no
configure:10819: checking whether the g++ linker (/usr/ccs/bin/ld) supports shared libraries
configure:11753: result: yes
configure:11771: g++ -c -g -O2 conftest.cpp >&5
configure:11774: $? = 0
configure:11893: checking for g++ option to produce PIC
configure:12167: result: -fPIC
configure:12175: checking if g++ PIC flag -fPIC works
configure:12193: g++ -c -g -O2 -fPIC -DPIC conftest.cpp >&5
configure:12197: $? = 0
configure:12210: result: yes
configure:12238: checking if g++ static flag -static works
configure:12266: result: no
configure:12276: checking if g++ supports -c -o file.o
configure:12297: g++ -c -g -O2 -o out/conftest2.o conftest.cpp >&5
configure:12301: $? = 0
configure:12323: result: yes
configure:12349: checking whether the g++ linker (/usr/ccs/bin/ld) supports shared libraries
configure:12374: result: yes
configure:12441: checking dynamic linker characteristics
configure:13029: result: solaris2.10 ld.so
configure:13038: checking how to hardcode library paths into programs
configure:13063: result: immediate
configure:19246: checking for ranlib
configure:19273: result: ranlib
configure:19302: checking for socket in -lc
configure:19337: gcc -o conftest -g -O2conftest.c -lc>&5
Undefinedfirst referenced
symbolin file
socket/var/tmp//cc0xNHH2.o
ld: fatal: Symbol referencing errors. No output written to conftest
collect2: ld returned 1 exit status
configure:19343: $? = 1
configure: failed program was:
| /* confdefs.h. */
| #define PACKAGE_NAME "directnet"
| #define PACKAGE_TARNAME "directnet"
| #define PACKAGE_VERSION "2.0a9"
| #define PACKAGE_STRING "directnet 2.0a9"
| #define PACKAGE_BUGREPORT "cdgregorr@users.sourceforge.net"
| #define PACKAGE "directnet"
| #define VERSION "2.0a9"
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_DLFCN_H 1
| /* end confdefs.h. */
|
| /* Override any GCC internal prototype to avoid an error.
|Use char because int might match the return type of a GCC
|builtin and then its argument prototype would still apply. */
| #ifdef __cplusplus
| extern "C"
| #endif
| char socket ();
| int
| main ()
| {
| return socket ();
|;
|return 0;
| }
configure:19361: result: no
configure:19368: checking for socket in -lsocket
configure:19403: gcc -o conftest -g -O2conftest.c -lsocket>&5
configure:19409: $? = 0
configure:19427: result: yes
configure:19441: checking for gethostbyname in -lc
configure:19476: gcc -o conftest -g -O2conftest.c -lc -lsocket >&5
Undefinedfirst referenced
symbolin file
gethostbyname/var/tmp//ccqriKCI.o (symbol belongs to implicit dependency /usr/lib/libnsl.so.1)
ld: fatal: Symbol referencing errors. No output written to conftest
collect2: ld returned 1 exit status
configure:19482: $? = 1
configure: failed program was:
| /* confdefs.h. */
| #define PACKAGE_NAME "directnet"
| #define PACKAGE_TARNAME "directnet"
| #define PACKAGE_VERSION "2.0a9"
| #define PACKAGE_STRING "directnet 2.0a9"
| #define PACKAGE_BUGREPORT "cdgregorr@users.sourceforge.net"
| #define PACKAGE "directnet"
| #define VERSION "2.0a9"
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_DLFCN_H 1
| #define HAVE_LIBSOCKET 1
| /* end confdefs.h. */
|
| /* Override any GCC internal prototype to avoid an error.
|Use char because int might match the return type of a GCC
|builtin and then its argument prototype would still apply. */
| #ifdef __cplusplus
| extern "C"
| #endif
| char gethostbyname ();
| int
| main ()
| {
| return gethostbyname ();
|;
|return 0;
| }
configure:19500: result: no
configure:19507: checking for gethostbyname in -lnsl
configure:19542: gcc -o conftest -g -O2conftest.c -lnsl -lsocket >&5
configure:19548: $? = 0
configure:19566: result: yes
configure:19583: checking for main in -lwsock32
configure:19612: gcc -o conftest -g -O2conftest.c -lwsock32 -lnsl -lsocket >&5
ld: fatal: library -lwsock32: not found
ld: fatal: File processing errors. No output written to conftest
collect2: ld returned 1 exit status
configure:19618: $? = 1
configure: failed program was:
| /* confdefs.h. */
| #define PACKAGE_NAME "directnet"
| #define PACKAGE_TARNAME "directnet"
| #define PACKAGE_VERSION "2.0a9"
| #define PACKAGE_STRING "directnet 2.0a9"
| #define PACKAGE_BUGREPORT "cdgregorr@users.sourceforge.net"
| #define PACKAGE "directnet"
| #define VERSION "2.0a9"
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_DLFCN_H 1
| #define HAVE_LIBSOCKET 1
| #define HAVE_LIBNSL 1
| /* end confdefs.h. */
|
|
| int
| main ()
| {
| return main ();
|;
|return 0;
| }
configure:19636: result: no
configure:19648: checking for gettimeofday
configure:19704: gcc -o conftest -g -O2conftest.c -lnsl -lsocket >&5
configure:19710: $? = 0
configure:19727: result: yes
configure:19867: checking which UI to use...
configure:19940: checking for fltk-config
configure:19971: result: no
configure:19980: checking for FLTK - version >= 1.1
configure:19997: result: no
configure:20049: Using dumb UI
configure:20051: checking for event_loop in -levent
configure:20086: gcc -o conftest -g -O2conftest.c -levent -lnsl -lsocket >&5
ld: fatal: library -levent: not found
ld: fatal: File processing errors. No output written to conftest
collect2: ld returned 1 exit status
configure:20092: $? = 1
configure: failed program was:
| /* confdefs.h. */
| #define PACKAGE_NAME "directnet"
| #define PACKAGE_TARNAME "directnet"
| #define PACKAGE_VERSION "2.0a9"
| #define PACKAGE_STRING "directnet 2.0a9"
| #define PACKAGE_BUGREPORT "cdgregorr@users.sourceforge.net"
| #define PACKAGE "directnet"
| #define VERSION "2.0a9"
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_DLFCN_H 1
| #define HAVE_LIBSOCKET 1
| #define HAVE_LIBNSL 1
| #define HAVE_GETTIMEOFDAY 1
| /* end confdefs.h. */
|
| /* Override any GCC internal prototype to avoid an error.
|Use char because int might match the return type of a GCC
|builtin and then its argument prototype would still apply. */
| #ifdef __cplusplus
| extern "C"
| #endif
| char event_loop ();
| int
| main ()
| {
| return event_loop ();
|;
|return 0;
| }
configure:20110: result: no
configure:20118: error: libevent not found
See `config.log' for more details.
## - ##
## Cache variables. ##
## - ##
ac_cv_build=i386-pc-solaris2.10
ac_cv_c_compiler_gnu=yes
ac_cv_cxx_compiler_gnu=yes
ac_cv_env_CCC_set=
ac_cv_env_CCC_value=
ac_cv_env_CC_set=
ac_cv_env_CC_value=
ac_cv_env_CFLAGS_set=
ac_cv_env_CFLAGS_value=
ac_cv_env_CPPFLAGS_set=
ac_cv_env_CPPFLAGS_value=
ac_cv_env_CPP_set=
ac_cv_env_CPP_value=
ac_cv_env_CXXCPP_set=
ac_cv_env_CXXCPP_value=
ac_cv_env_CXXFLAGS_set=
ac_cv_env_CXXFLAGS_value=
ac_cv_env_CXX_set=
ac_cv_env_CXX_value=
ac_cv_env_F77_set=
ac_cv_env_F77_value=
ac_cv_env_FFLAGS_set=
ac_cv_env_FFLAGS_value=
ac_cv_env_GAIM_CFLAGS_set=
ac_cv_env_GAIM_CFLAGS_value=
ac_cv_env_GAIM_LIBS_set=
ac_cv_env_GAIM_LIBS_value=
ac_cv_env_LDFLAGS_set=
ac_cv_env_LDFLAGS_value=
ac_cv_env_LIBS_set=
ac_cv_env_LIBS_value=
ac_cv_env_PKG_CONFIG_set=
ac_cv_env_PKG_CONFIG_value=
ac_cv_env_build_alias_set=
ac_cv_env_build_alias_value=
ac_cv_env_host_alias_set=
ac_cv_env_host_alias_value=
ac_cv_env_target_alias_set=
ac_cv_env_target_alias_value=
ac_cv_f77_compiler_gnu=no
ac_cv_func_gettimeofday=yes
ac_cv_header_dlfcn_h=yes
ac_cv_header_inttypes_h=yes
ac_cv_header_memory_h=yes
ac_cv_header_stdc=yes
ac_cv_header_stdint_h=yes
ac_cv_header_stdlib_h=yes
ac_cv_header_string_h=yes
ac_cv_header_strings_h=yes
ac_cv_header_sys_stat_h=yes
ac_cv_header_sys_types_h=yes
ac_cv_header_unistd_h=yes
ac_cv_host=i386-pc-solaris2.10
ac_cv_lib_c_gethostbyname=no
ac_cv_lib_c_socket=no
ac_cv_lib_event_event_loop=no
ac_cv_lib_nsl_gethostbyname=yes
ac_cv_lib_socket_socket=yes
ac_cv_lib_wsock32_main=no
ac_cv_objext=o
ac_cv_path_EGREP='/usr/sfw/bin/ggrep -E'
ac_cv_path_FLTK_CONFIG=no
ac_cv_path_GREP=/usr/sfw/bin/ggrep
ac_cv_prog_AWK=nawk
ac_cv_prog_CPP='gcc -E'
ac_cv_prog_CXXCPP='g++ -E'
ac_cv_prog_ac_ct_AR=ar
ac_cv_prog_ac_ct_CC=gcc
ac_cv_prog_ac_ct_CXX=g++
ac_cv_prog_ac_ct_RANLIB=ranlib
ac_cv_prog_ac_ct_STRIP=strip
ac_cv_prog_cc_c89=
ac_cv_prog_cc_g=yes
ac_cv_prog_cxx_g=yes
ac_cv_prog_f77_g=no
ac_cv_prog_make_make_set=yes
am_cv_CC_dependencies_compiler_type=gcc3
am_cv_CXX_dependencies_compiler_type=gcc3
lt_cv_deplibs_check_method=pass_all
lt_cv_file_magic_cmd='$MAGIC_CMD'
lt_cv_file_magic_test_file=
lt_cv_ld_reload_flag=-r
lt_cv_objdir=.libs
lt_cv_path_LD=/usr/ccs/bin/ld
lt_cv_path_LDCXX=/usr/ccs/bin/ld
lt_cv_path_NM='/usr/ccs/bin/nm -p'
lt_cv_path_SED=/usr/bin/sed
lt_cv_prog_compiler_c_o=yes
lt_cv_prog_compiler_c_o_CXX=yes
lt_cv_prog_compiler_rtti_exceptions=no
lt_cv_prog_gnu_ld=no
lt_cv_prog_gnu_ldcxx=no
lt_cv_sys_global_symbol_pipe='sed -n -e '\''s/^.*[ ]\([BDRT][BDRT]*\)[ ][ ]*\([_A-Za-z][_A-Za-z0-9]*\)$/\1 \2 \2/p'\'''
lt_cv_sys_global_symbol_to_c_name_address='sed -n -e '\''s/^: \([^ ]*\) $/ {\"\1\", (lt_ptr) 0},/p'\'' -e '\''s/^[BCDEGRST] \([^ ]*\) \([^ ]*\)$/ {"\2", (lt_ptr) \&\2},/p'\'''
lt_cv_sys_global_symbol_to_cdecl='sed -n -e '\''s/^. .* \(.*\)$/extern int \1;/p'\'''
lt_cv_sys_max_cmd_len=262144
lt_lt_cv_prog_compiler_c_o='"yes"'
lt_lt_cv_prog_compiler_c_o_CXX='"yes"'
lt_lt_cv_sys_global_symbol_pipe='"sed -n -e '\''s/^.*[ ]\\([BDRT][BDRT]*\\)[ ][ ]*\\([_A-Za-z][_A-Za-z0-9]*\\)\$/\\1 \\2 \\2/p'\''"'
lt_lt_cv_sys_global_symbol_to_c_name_address='"sed -n -e '\''s/^: \\([^ ]*\\) \$/ {\\\"\\1\\\", (lt_ptr) 0},/p'\'' -e '\''s/^[BCDEGRST] \\([^ ]*\\) \\([^ ]*\\)\$/ {\"\\2\", (lt_ptr) \\&\\2},/p'\''"'
lt_lt_cv_sys_global_symbol_to_cdecl='"sed -n -e '\''s/^. .* \\(.*\\)\$/extern int \\1;/p'\''"'
## -- ##
## Output variables. ##
## -- ##
ACLOCAL='${SHELL} /usr/parasou/Documents/softwares/chat2/tmp/directnet-2.0a9/scripts/missing --run aclocal-1.9'
AMDEPBACKSLASH='\'
AMDEP_FALSE='#'
AMDEP_TRUE=''
AMTAR='${SHELL} /usr/parasou/Documents/softwares/chat2/tmp/directnet-2.0a9/scripts/missing --run tar'
AR='ar'
AUTH_CFLAGS=''
AUTH_CPPFLAGS=''
AUTH_CXXFLAGS=''
AUTH_DIR=''
AUTH_LDFLAGS=''
AUTH_LIBS=''
AUTOCONF='${SHELL} /usr/parasou/Documents/softwares/chat2/tmp/directnet-2.0a9/scripts/missing --run autoconf'
AUTOHEADER='${SHELL} /usr/parasou/Documents/softwares/chat2/tmp/directnet-2.0a9/scripts/missing --run autoheader'
AUTOMAKE='${SHELL} /usr/parasou/Documents/softwares/chat2/tmp/directnet-2.0a9/scripts/missing --run automake-1.9'
AWK='nawk'
CC='gcc'
CCDEPMODE='depmode=gcc3'
CFLAGS='-g -O2'
CPP='gcc -E'
CPPFLAGS=''
CXX='g++'
CXXCPP='g++ -E'
CXXDEPMODE='depmode=gcc3'
CXXFLAGS='-g -O2'
CYGPATH_W='echo'
DEFS=''
DEPDIR='.deps'
ECHO='echo'
ECHO_C=''
ECHO_N='-n'
ECHO_T=''
EGREP='/usr/sfw/bin/ggrep -E'
ENC_CFLAGS=''
ENC_CPPFLAGS=''
ENC_CXXFLAGS=''
ENC_DIR=''
ENC_LDFLAGS=''
ENC_LIBS=''
EXEEXT=''
F77=''
FFLAGS=''
FLTK_CFLAGS=''
FLTK_CONFIG='no'
FLTK_LIBS=''
GAIM_CFLAGS=''
GAIM_LIBS=''
GAIM_PLUGIN_DIR=''
GAIM_PLUGIN_FALSE=''
GAIM_PLUGIN_TRUE=''
GREP='/usr/sfw/bin/ggrep'
INSTALL_DATA='${INSTALL} -m 644'
INSTALL_PROGRAM='${INSTALL}'
INSTALL_SCRIPT='${INSTALL}'
INSTALL_STRIP_PROGRAM='${SHELL} $(install_sh) -c -s'
LDFLAGS=''
LIBOBJS=''
LIBS='-lnsl -lsocket '
LIBTOOL='$(SHELL) $(top_builddir)/libtool'
LN_S='ln -s'
LTLIBOBJS=''
MAKEINFO='${SHELL} /usr/parasou/Documents/softwares/chat2/tmp/directnet-2.0a9/scripts/missing --run makeinfo'
NO_GETTIMEOFDAY_FALSE=''
NO_GETTIMEOFDAY_TRUE='#'
OBJEXT='o'
PACKAGE='directnet'
PACKAGE_BUGREPORT='cdgregorr@users.sourceforge.net'
PACKAGE_NAME='directnet'
PACKAGE_STRING='directnet 2.0a9'
PACKAGE_TARNAME='directnet'
PACKAGE_VERSION='2.0a9'
PATH_SEPARATOR=':'
PKG_CONFIG=''
RANLIB='ranlib'
SET_MAKE=''
SHELL='/bin/bash'
STRIP='strip'
UI_CFLAGS=''
UI_CPPFLAGS=''
UI_CXXFLAGS=''
UI_DIR='ui-dumb'
UI_LDFLAGS=''
UI_LIBS=''
VERSION='2.0a9'
ac_ct_CC='gcc'
ac_ct_CXX='g++'
ac_ct_F77=''
am__fastdepCC_FALSE='#'
am__fastdepCC_TRUE=''
am__fastdepCXX_FALSE='#'
am__fastdepCXX_TRUE=''
am__include='include'
am__leading_dot='.'
am__quote=''
am__tar='${AMTAR} chof - "$$tardir"'
am__untar='${AMTAR} xf -'
bindir='${exec_prefix}/bin'
build='i386-pc-solaris2.10'
build_alias=''
build_cpu='i386'
build_os='solaris2.10'
build_vendor='pc'
datadir='${datarootdir}'
datarootdir='${prefix}/share'
docdir='${datarootdir}/doc/${PACKAGE_TARNAME}'
dvidir='${docdir}'
exec_prefix='NONE'
host='i386-pc-solaris2.10'
host_alias=''
host_cpu='i386'
host_os='solaris2.10'
host_vendor='pc'
htmldir='${docdir}'
includedir='${prefix}/include'
infodir='${datarootdir}/info'
install_sh='/usr/parasou/Documents/softwares/chat2/tmp/directnet-2.0a9/scripts/install-sh'
libdir='${exec_prefix}/lib'
libexecdir='${exec_prefix}/libexec'
localedir='${datarootdir}/locale'
localstatedir='${prefix}/var'
mandir='${datarootdir}/man'
mkdir_p='$(install_sh) -d'
oldincludedir='/usr/include'
pdfdir='${docdir}'
prefix='NONE'
program_transform_name='s,x,x,'
psdir='${docdir}'
sbindir='${exec_prefix}/sbin'
sharedstatedir='${prefix}/com'
sysconfdir='${prefix}/etc'
target_alias=''
## -- ##
## confdefs.h. ##
## -- ##
#define PACKAGE_NAME "directnet"
#define PACKAGE_TARNAME "directnet"
#define PACKAGE_VERSION "2.0a9"
#define PACKAGE_STRING "directnet 2.0a9"
#define PACKAGE_BUGREPORT "cdgregorr@users.sourceforge.net"
#define PACKAGE "directnet"
#define VERSION "2.0a9"
#define STDC_HEADERS 1
#define HAVE_SYS_TYPES_H 1
#define HAVE_SYS_STAT_H 1
#define HAVE_STDLIB_H 1
#define HAVE_STRING_H 1
#define HAVE_MEMORY_H 1
#define HAVE_STRINGS_H 1
#define HAVE_INTTYPES_H 1
#define HAVE_STDINT_H 1
#define HAVE_UNISTD_H 1
#define HAVE_DLFCN_H 1
#define HAVE_LIBSOCKET 1
#define HAVE_LIBNSL 1
#define HAVE_GETTIMEOFDAY 1
configure: exit 1
Pls follow up, and give me a solution. (Struggling to install it).